
Price Monitoring - Task #1506

Item Price Change within Period - مراقبة سعر سلعة خلال مده زمنية

07/24/2019 04:00 PM - Israa Naser

Status: Closed Start date: 07/24/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Item Price Change within Period - مراقبة

سعر سلعة خلال مده زمنية

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

Item Price Change within Period - مراقبة سعر سلعة خلال مده زمنية

The Item price change within period will let the user to get the item price change during specific period in a specific cooperative with

a total number of the price change for the item and a chart line for price changing during the start and end date, Add items to

inspection table, the user has the following search criteria available:

1. Search by Barcode: The system display the Item has the barcode inserted.

2. Search by Item Name: The system will display all items related or close to the inserted text.

And the following Filters:

3. Cooperatives Selection: The user should determine a cooperative.

4. Category: The system will display all categories available based on the cooperative has been selected.

5. Item list Selection: The system will display all Items exists in the category selected.

6. The user should insert the start and end date for the search.

--------------------------------------------------------

Requirements in SRS under

5    Item Price Change within Period (مراقبة سعر سلعة خلال مده زمنية)

Related issues:

Related to Bug #1507: the system validates on dates if not populated even whe... Closed 07/24/2019

Related to Bug #1510: validation error is cached when first triggered and sto... Closed 07/24/2019

Related to Bug #1615: the screen should show the item with 0 price changes if... Closed 08/15/2019

Related to Bug #1624: the table جدول تفاصيل تغير سعر سلعة caches the values f... Closed 08/19/2019

Related to Bug #1625: No validation is set to force the From date to be befor... Closed 08/19/2019

Related to Bug #1651: search by item name in any screen containing item name ... Closed 08/25/2019

History

#1 - 07/24/2019 04:32 PM - Israa Naser

- Related to Bug #1507: the system validates on dates if not populated even when the user tries to navigate to another page  added

#2 - 07/24/2019 04:44 PM - Israa Naser

- Related to Bug #1510: validation error is cached when first triggered and stops the user from doing anything - Item Price Change within Period -

added مراقبة سعر سلعة خلال مده زمنية

#3 - 08/15/2019 10:47 AM - Israa Naser

- Related to Bug #1615: the screen should show the item with 0 price changes if it's price has not changed within the period of time entered added
#4 - 08/19/2019 01:47 PM - Israa Naser

- Related to Bug #1624: the table جدول تفاصيل تغير سعر سلعة caches the values from the previous search added

#5 - 08/19/2019 03:48 PM - Israa Naser

- Related to Bug #1625: No validation is set to force the From date to be before To date  added

#6 - 08/25/2019 02:48 PM - Israa Naser

- Related to Bug #1651: search by item name in any screen containing item name search field  added

#7 - 09/03/2019 10:52 AM - Israa Naser

- Description updated

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Browser Chrome added

All related issues are closed

Closed as Done

Thanks

Files

PNG.مراقبة سعر سلعة خلال فترة زمنية محددة 91.6 KB 07/24/2019 Israa Naser
